Settings, or “App Configuration” are App related configuration options. These settings are not intended to act at server configuration level, such as, for example, listening port, or log location, but they are intended to set up many APP specific parameters, like the App name, the Push Certificate supplied by Apple, and so on. Settings are split in different sections or topics. Available sections are:
PLEASE NOTE that only users belonging to administrator roles can call these APIs
GET /admin/configuration/dump.json Headers: Please see the [[General Remarks|General Remarks]] Parameters: None Description: Returns a JSON representing the current configuration. The JSON has the following format:
{
"result": "ok",
"http_code": 200,
"data": [
{
"section": "...the section name",
"description": "... a brief description of the section....",
"sub sections": {
"..a subsection ...": [
{
"...a key of a setting...": "...the value...",
"description": "...the key description...",
"type": "...the data type of the value..."
},
....
Returns:
GET /admin/configuration/:section Headers: Please see the [[General Remarks|General Remarks]] Parameters
Description: Retrieves the settings of a specific section in a key-value form. The returned JSON is:
{
"result": "ok",
"http_code": 200,
"data": [
{
"key": "...the key of the setting...",
"value": "...its value...",
"description": "...the setting description...",
"type": "...the value data type..."
},
....
PUT /admin/configuration/:section/:key/:value Headers: Please see the [[General Remarks|General Remarks]] Parameters
Description: Modifies the value of a specific setting. The new value must be of the specific key data type.